<?php 
if ( ! defined( 'ABSPATH' ) ) exit;
$event_display_settings=array();
$event_display_settings = get_option("erp_event_display_settings"); 
$dateformat=$event_display_settings['erp_event_display_settings_formatdate'];
$timeformat=$event_display_settings['erp_event_display_settings_formattime'];
global $final_price;
$accepted_registration_reports= $event_display_settings['erp_event_display_settings_accepted_registration_reports'];
if($accepted_registration_reports=='Yes'){
 $args = array(											
					'post_type' => 'register_events',
					'posts_per_page' =>  $num_rec_per_page,
    				'paged' => $page,
					'meta_query'     => array(
							array (
							   'key'     => 'post_id',
							   'value'   =>$event_ID,
							   'compare' => '=',
							 ),
							 array (
							   'key'     => 'accepted',
							   'value'   =>1,
							   'compare' => '=',
							 )
						),
			); 		
	}else{
 $args = array(											
					'post_type' => 'register_events',
					'posts_per_page' =>  $num_rec_per_page,
    				'paged' => $page,
					'meta_query'     => array(
							array (
							   'key'     => 'post_id',
							   'value'   =>$event_ID,
							   'compare' => '=',
							 )
						),
			); 	

	}
    
$res = new WP_Query( $args );
$location_id = get_post_meta($event_ID,'erp_event_location',true); 
$event_start_date = get_post_meta($event_ID,'erp_event_date',true); 
$event_end_date = get_post_meta($event_ID,'erp_event_enddate',true); 
$eStart_date = dateformat_function($event_start_date); 
$eEnd_date = dateformat_function($event_end_date);
$event_start_time = get_post_meta($event_ID,'erp_event_time',true); 
$event_end_time = get_post_meta($event_ID,'erp_event_endtime',true); 
$eStart_time = date($timeformat,strtotime($event_start_time)); 
$eEnd_time = date($timeformat,strtotime($event_end_time));
$upload_dir = wp_upload_dir();
$user_dirname = $upload_dir['baseurl'].'/event-img/';
?>
<div class="col-md-12" >
    <a href="#" id="printOut" style="float:right; font-size:30px; color:#000;"><i class="fa fa-print"></i></a>
</div>
<div class="event_report_pouopclass">
	<div class="col-md-12">
    	<p><strong><?php echo __( 'Event Name :', 'event-registration-pro' );?> </strong> <?php echo get_the_title($event_ID);?></p>
        <p><strong><?php echo __( 'Where :', 'event-registration-pro' );?> </strong><?php echo $location = get_the_title($location_id);?></p>
        <p><strong><?php echo __( 'Date : ', 'event-registration-pro' );?></strong><?php  echo $eStart_date.' - '.$eEnd_date;  ?>       </p>
        <p><strong><?php echo __( 'Time :', 'event-registration-pro' );?> </strong><?php  echo $eStart_time.' - '.$eEnd_time;  ?>  </p>
    </div>
    
    <div class="col-md-12">
    <div style="background:#ccc;color:#fff;	padding: 4px 12px;"> Registrant</div>
    <table width="100%" border="" cellspacing="1" class="adminlist table table-bordered" cellpadding="5">
    <thead>
    	<tr>
            <th><?php echo __( 'First Name', 'event-registration-pro' );?></th>
            <th><?php echo __( 'Last Name', 'event-registration-pro' );?></th>
            <th><?php echo __( 'Email', 'event-registration-pro' );?></th>
            <th><?php echo __( 'Registration Date', 'event-registration-pro' );?></th>
            <th><?php echo __( 'Form Data', 'event-registration-pro' );?></th>
            <th><?php echo __( 'Products Data', 'event-registration-pro' );?></th>
            <th><?php echo __( 'Status', 'event-registration-pro' );?></th>
        </tr>
    </thead>
    <tbody>
    <?php  $grand_total=0;
		while( $res->have_posts() ) : $res->the_post();
			$meta = get_post_meta($post->ID); 
		
		
		
			$form_id=$meta['form_id'][0];
			$get_fields = get_post_meta($form_id,'regform_fields_hid_meta_fields',true);
			$get_fields_count = get_post_meta($form_id,'regform_fields_hid_count_meta_fields',true);
			$module_layout = explode(",",$get_fields_count);
		
			foreach($module_layout as $key => $val){
						 
						  if (empty($val)) unset($module_layout[$key]);
					  }	  
			
			foreach($module_layout as $layout){ 
				$arr_field_ordering[get_post_meta($form_id,'regform_fields_field_ordering_'.$layout,true)] = $layout; 
			}
						
		
    ?>
    
    <tr>
      
       <td><?php echo $meta['firstname'][0];?></td>
       <td><?php echo $meta['lastname'][0]?></td>
       <td><?php echo $meta['email'][0]?></td>
       <td><?php echo dateformat_function($post->post_date);?></td>
       <td>
           <table border="0" cellpadding="2" cellspacing="0" width="100%" class="form-data-table">
           <tbody>
		   
			   <?php 
			  
			   
			   	foreach($module_layout as $layout){ 
			  
                        $field_title = get_post_meta($form_id,'regform_fields_field_title_'.$layout,true);
						$field_type = get_post_meta($form_id,'regform_fields_field_type_'.$layout,true);
                        $field_identification = get_post_meta($form_id,'regform_fields_field_identification_'.$layout,true);
                  if($field_identification !='firstname' AND $field_identification !='lastname' AND $field_identification !='email'){
                  if(!empty($meta[$field_identification][0])){
                        
                    
                    ?>
                        <tr>
                            <td width="30%" style="vertical-align:top"><?php echo $field_title; ?></td>
                            <td width="5%" style="vertical-align:top"><b>:</b></td>
                            <td width="65%" style="vertical-align:top">
							<?php if($field_type=='file'){
									echo '<a href="'.$user_dirname.$meta[$field_identification][0].'"/>'. $meta[$field_identification][0].'</a>';
								}else{
									echo $meta[$field_identification][0];
								}
							
							?>
							
							</td>
                        </tr>
                <?php } } } ?>	
            </tbody>
            </table>
       </td>
       <td>
       		<table border="" cellpadding="2" cellspacing="0" width="100%" class="product-data-border">
            <thead>
            	<th><?php echo __( 'Name', 'event-registration-pro' );?></th>
               
                <th><?php echo __( 'Price', 'event-registration-pro' );?></th>
                <!--<th>Tax</th>-->
                <th><?php echo __( 'Total Price', 'event-registration-pro' );?></th>
            
            </thead>
           <tbody>
			   
                <tr>
                    <td  style="vertical-align:top"> 
						<?php
						   if($meta['ticket_id'][0]==0){echo 'Free Admission';}else{
						   echo get_post_meta($post_ID,'erp_event_ticket_name_'.$meta['ticket_id'][0],true);
						   }
						?>
	  				</td>
                   
                    <td  style="vertical-align:top">
						<?php
						   if($meta['ticket_id'][0]==0){echo '$0.00';}else{
						  
						   
						 		$price=$meta['event_price'][0];//get_post_meta($post_ID,'erp_event_price_'.$meta['ticket_id'][0],true);
						   		do_action('get_ticket_add_on_setting_event_registration_pro_ticket_standard',$price);
								echo $final_price;
						   }
						?>
					</td>
                  
                    <td  style="vertical-align:top">
						<?php
						   if($meta['ticket_id'][0]==0){echo '$0.00';}else{
						   $price = $meta['event_price'][0];//get_post_meta($post_ID,'erp_event_price_'.$meta['ticket_id'][0],true);
						   do_action('get_ticket_add_on_setting_event_registration_pro_ticket_standard',$price);
						   echo $final_price;
						   }
						?>
					</td>
                </tr>
                <tr>
                <td colspan="2" style="text-align:right;">Sub Total:</td>
                <td>
					<?php
						   if($meta['ticket_id'][0]==0){echo '$0.00';}else{
						   $price = $meta['event_price'][0];//get_post_meta($post_ID,'erp_event_price_'.$meta['ticket_id'][0],true);
						   do_action('get_ticket_add_on_setting_event_registration_pro_ticket_standard',$price);
						   echo $final_price;
						   }
						?>
				</td>
                </tr>
                
                <tr>
                <td colspan="2" style="text-align:right;">Final Amount:</td>
                <td>
					<?php
						   if($meta['ticket_id'][0]==0){echo '$0.00';}else{
						   $price = $meta['event_price'][0];//get_post_meta($post_ID,'erp_event_price_'.$meta['ticket_id'][0],true);
						   do_action('get_ticket_add_on_setting_event_registration_pro_ticket_standard',$price);
						   echo $final_price;
						   }
					?>
				</td>
                </tr>
               
            </tbody>
            </table>
       </td>
       <td>  
       		<?php $accepted=$meta['accepted'][0];
				if($accepted==1){
					echo 'Accepted';
				}else{
					echo 'Pending';
					}
			?>
       </td>
       
    </tr> 
    <?php
		 if($meta['ticket_id'][0]==0){$grand_total= '$0.00'; $final_price= '$0.00';}else{
			$price = $meta['event_price'][0];//get_post_meta($post_ID,'erp_event_price_'.$meta['ticket_id'][0],true);
			$grand_total=$grand_total+$price;
		 }
		endwhile;
		do_action('get_ticket_add_on_setting_event_registration_pro_ticket_standard',$grand_total);
		
	?>
	 
	<tr>
			<td colspan="5">&nbsp;</td>
			<td> 
				<table border="0" width="100%" class="table table-bordered">
					<tbody><tr align="right">
						<td style="text-align:right"><b>Grand Total</b></td>
						<td style="text-align:right"><b> <?php   echo $final_price; ?></b></td>
					</tr>
					
                    <tr align="right">
						<td style="text-align:right"><b>Final Amount </b></td>
						<td style="text-align:right"><b> <?php  echo $final_price;?></b></td>
					</tr>
                      
                      
                                          
				</tbody></table>						
			</td>
			<td>&nbsp;</td>		
	</tr>
    </tbody></table>
	
    </div>
    <style>
    .form-data-table td{
	border-left:1px solid #ddd;
	border-bottom: 1px solid #ddd;
    padding: 6px;
}
.product-data-border{
	padding:6px;
	border: 1px solid #ddd;
	}
	.product-data-border td,.product-data-border th  {
    padding: 6px;
}
	
    </style>
</div>
<script type="text/javascript">
    jQuery(function(){
        jQuery('#printOut').click(function(e){
            e.preventDefault();
            var w = window.open();
            var printOne = jQuery('.event_report_pouopclass').html();
            w.document.write('<html><head><title>Event report Details</title></head><body><h1>Event Report</h1><hr />' + printOne) + '</body></html>';
            w.window.print();
            w.document.close();
            return false;
        });
    });
</script>