<?php 
if ( ! defined( 'ABSPATH' ) ) exit; 
$defaults = array(
    'numberposts' => 30, 
    'offset' => 0,
    'category' => 0, 
    'orderby' => 'post_modified',
    'order' => 'DESC', 
    'include' => '',
    'exclude' => '', 
    'meta_key' => '',
    'meta_value' =>'', 
    'post_type' => 'erp_event', 
    'post_status' => 'publish',
    'suppress_filters' => true
); 

$posts = query_posts($defaults); // replace the number 1 with the ID of your tumblelog category
$more = 1;


echo '<?xml version="1.0" encoding="iso-8859-1"?'.'>';?>

<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns="http://purl.org/rss/1.0/" xmlns:content="http://purl.org/rss/1.0/modules/content/"    xmlns:wfw="http://wellformedweb.org/CommentAPI/" xmlns:slash="http://purl.org/rss/1.0/modules/slash/" xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:syn="http://purl.org/rss/1.0/modules/syndication/" xmlns:admin="http://webns.net/mvcb/" xmlns:feedburner="http://rssnamespace.org/feedburner/ext/1.0">


<channel rdf:about="<?php bloginfo_rss('url') ?>">
    <title><?php bloginfo_rss('name'); ?></title>
    <link><?php bloginfo_rss('url') ?></link>
    <description><?php bloginfo_rss("description") ?></description>
    <dc:date><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></dc:date>
    <language>en-US</language>
    <syn:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></syn:updatePeriod>
    <syn:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></syn:updateFrequency>
    <?php the_generator( 'rss2' ); ?>
    
   <items>
        <rdf:Seq>
            <?php  while( have_posts()) : the_post(); ?>
                    <rdf:li rdf:resource="<?php the_permalink_rss();?>"/>
            <?php endwhile;?>
        </rdf:Seq>
    </items>
    
</channel>

   <?php  while( have_posts()) : the_post(); ?>  
       <item rdf:about="<?php the_permalink_rss(); ?>">
            
           <title style="display:block !important"><?php the_title_rss(); ?></title>
            <link><?php the_permalink_rss(); ?></link><br />
            <pubDate><?php echo mysql2date('D, d M Y', get_post_meta($id,'erp_event_date', true), false); ?></pubDate>
            <description><![CDATA[<?php echo mysql2date('D, d M Y', get_post_meta($id,'erp_event_date', true), false); ?><br /> <?php the_excerpt(); ?>]]></description>
       </item>
   <?php endwhile; ?>

</rdf:RDF>